Fetch a single spending limit
1 min
GET
https://app.amberflo.io/payments/pricing/amberflo/customer-pricing/spending-limits
Query Parameters
- customerIdstringrequiredDescription
- idstringrequiredDescription
Responses
200
- payment.pricing.customer.spending_limit.CustomerSpendingLimit.out
- accountIdstringDescription
- customerIdstringrequiredDescription
- idstringDescription
- labelstringDescription
- effectiveTimeRangepayment.common.TimeRange.outrequiredDescription
- startTimeInSecondsinteger<int64>
- endTimeInSecondsinteger<int64>
- trueUpInputpayment.pricing.commitments.generators.TrueUpInput.outrequiredDescription
- minimumPaymentnumberrequired
- intervalpayment.pricing.commitments.generators.TrueUpInterval.outrequired
- startCycleinteger<int32>
- endCycleinteger<int32>
- productItemIdsstring[]
- usePriceAfterDiscountsboolean
- createdTimeInSecondsinteger<int64>Description
- updatedTimeInSecondsinteger<int64>Description
curl
curl --request GET \
--url 'https://app.amberflo.io/payments/pricing/amberflo/customer-pricing/spending-limits?customerId=string&id=string' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/amberflo/customer-pricing/spending-limits?customerId=string&id=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/amberflo/customer-pricing/spending-limits?customerId=string&id=string")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/amberflo/customer-pricing/spending-limits?customerId=string&id=string"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"accountId": "",
"customerId": "",
"id": "",
"label": "",
"effectiveTimeRange": {
"startTimeInSeconds": "",
"endTimeInSeconds": ""
},
"trueUpInput": {
"minimumPayment": 0,
"interval": "",
"startCycle": "",
"endCycle": "",
"productItemIds": [
""
],
"usePriceAfterDiscounts": false
},
"createdTimeInSeconds": "",
"updatedTimeInSeconds": ""
}